package lc.ris.svc;

import lc.eo.EOClient;
import lc.esp.engine.ESPEngine;

import java.util.Set;

public class RapidInventoryService {
    public static void main(String[] args) throws Exception {
        ESPEngine esp = new ESPEngine();
        EOClient client = new EOClient();
        esp.register(new TagUpdateHandler(client, Set.of("/ris/api/tagUpdate")));
        esp.register(new TagReadHandler(client, Set.of("/ris/api/tagRead")));
        esp.register(new TagCreateHandler(client, Set.of("/ris/api/tagCreate")));
        esp.runDangerously();
    }
}